7.5.1

rsyslog 7.5.1 (v7-devel) released

This release opens the new 7.5 development branch. Most importantly, this version provides certificate-based authentication for RELP. It also includes mmfields, a module that can be used to parse CEF and other similar delimited formats. BSD-support has been improved and imjournal has been hardened to prevent corrupt journal databases from spamming the system too much. […]

Using TLS with RELP

In this guide, we want to describe how to setup rsyslog with a RELP connection which is to be secured with TLS. For this guide you need at least rsyslog 7.5.1 and librelp 1.1.3 as well as gnutls 2.10.0 or above. These need to be installed on the server as well on the clients. The […]

Changelog for 7.5.1 (v7-devel)

Version 7.5.1 [devel] 2013-06-26 librelp 1.1.3 is required – older versions can lead to a segfault add mmfields, which among others supports easy parsing of CEF messages omrelp: * new parameter “compression.prioritystring” to control encryption parameters used by GnuTLS imrelp: * new parameter “compression.dhbits” to control the number of bits being used for Diffie-Hellman key […]

Scroll to top